#
# spec file for package libsoup (Version 2.2.100)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale gnutls gnutls-devel grep groff gtk-doc gzip info insserv iso_ent less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgcrypt libgcrypt-devel libgomp42 libgpg-error libgpg-error-devel libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openjade opensp pam pam-modules patch perl perl-base permissions pkg-config popt rpm sed sgml-skel sysvinit tar texinfo timezone util-linux zlib zlib-devel

Name:           libsoup
BuildRequires:  glib2-devel gnutls-devel gtk-doc libxml2-devel
# We do not need these dependencies needed only for tests.
#BuildRequires:  apache2-mod_php5 php5-xmlrpc
License:        LGPL v2 or later
Group:          Development/Libraries/GNOME
AutoReqProv:    on
Summary:        Simple Object Access Protocol (SOAP)
Version:        2.2.100
Release:        45.2
Source:         ftp://ftp.gnome.org/pub/GNOME/stable/sources/libsoup/2.2/%{name}-%{version}.tar.bz2
Patch1:         libsoup-2.2.100-r924.patch
Patch2:         libsoup-334021.patch
Patch3:         bnc-304802-nltm-auth.diff	
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides a queued asynchronous callback-based mechanism for sending
and servicing SOAP requests and a WSDL (Web Service Definition
Language) to C compiler that generates client stubs and server
skeletons for easily calling and implementing SOAP methods.

It uses the Glib main loop and is designed to work well with GTK+
applications.  This enables GNOME applications to access SOAP servers
on the network in a completely asynchronous fashion, very similar to
the GTK+ programming model (a synchronous operation mode is also
supported for those who want it).

The WSDL compiler helps you make your applications interoperate with
services that expose their descriptions through WSDL.



Authors:
--------
    Alex Graveley   <alex@ximian.com>
    Dick Porter     <dick@ximian.com>
    Miguel De Icaza <miguel@ximian.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version} glib2-devel gnutls-devel libxml2-devel

%description devel
Soup is a SOAP (Simple Object Access Protocol) implementation in C. It
provides a queued, asynchronous callback-based mechanism for sending
SOAP requests. This package allows you to develop applications that use
the Soup library.



Authors:
--------
    Alex Graveley   <alex@ximian.com>
    Dick Porter     <dick@ximian.com>
    Miguel De Icaza <miguel@ximian.com>

%package doc
Summary:        Additional Package Documentation.
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides a queued asynchronous callback-based mechanism for sending
and servicing SOAP requests and a WSDL (Web Service Definition
Language) to C compiler that generates client stubs and server
skeletons for easily calling and implementing SOAP methods.

It uses the Glib main loop and is designed to work well with GTK+
applications.  This enables GNOME applications to access SOAP servers
on the network in a completely asynchronous fashion, very similar to
the GTK+ programming model (a synchronous operation mode is also
supported for those who want it).

The WSDL compiler helps you make your applications interoperate with
services that expose their descriptions through WSDL.



Authors:
--------
    Alex Graveley   <alex@ximian.com>
    Dick Porter     <dick@ximian.com>
    Miguel De Icaza <miguel@ximian.com>

%prep
%setup -q
%patch1 -p1
%patch2 -p0
%patch3

%build
%configure\
	--disable-static
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libsoup-2.2
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/libsoup
%changelog
* Mon Oct 15 2007 - pchenthill@novell.com
  SWAMP-ID: 14059
- bnc-304802-nltm-auth.diff: Fixes the ntlm authentication issue.
* Mon Aug 06 2007 - jberkman@novell.com
- export new smartcard functionality from gnutls for evo-exchange (gnome bug
  [#334021])
* Mon Feb 19 2007 - maw@suse.de
- Update to version 2.2.100
- Remove header-parsing.patch which is now upstream.
* Tue Feb 13 2007 - sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Tue Jan 16 2007 - maw@suse.de
- Add header-parsing.patch (#235084 and CVE-2006-5876).
* Mon Jan 08 2007 - sbrabec@suse.cz
- Spec file cleanup.
* Fri Dec 08 2006 - maw@suse.de
- Move to /usr.
* Tue Nov 07 2006 - cstender@suse.de
- removed 'rm -rf $RPM_BUILD_ROOT' from build section
- added ldconfig call
* Tue Aug 15 2006 - jhargadon@suse.de
- update to version 2.2.96
- SoupServer now works even if you don't explicitly set an
  encoding for the response.
- WWW-Authenticate and Proxy-Authenticate responses with no
  realm parameter are now ignored
- Fixed a bug in soup_mktime_utc()
* Wed Jul 05 2006 - dgollub@suse.de
- update to 2.2.94:
  * Various fixes to the XML-RPC code (which apparently had not
  actually ever worked before) from Brent Smith. [343973,
  344222, 344458]
  * Added client and server API tutorials to the docs
  * auth-test now uses a local Apache 2.2 install, if possible,
  rather than depending on files that used to be on an old
  Ximian web server but haven't been anywhere for a long time.
  [311825]
- changes from 2.2.92 to 2.2.93
  * Fixed outgoing data corruption caused when SoupServer
  started writing out a response a second time after already
  having started once. [334469]. Also fixed 342640 and another
  bug caused by the workaround for 334469 in 2.2.92. Based on
  patches and analysis from William Jon McCann and Armin
  Bauer.
  * Fixed a deadlock when changing a session's proxy URI.
  [309867 / bnc 174255, based on a patch by Veerapuram
  Varadhan].
  * Fixed https-via-proxies in the synchronous case. [bnc 174255]
  * Fixed a crash in evolution-exchange [342545, fix based on an
  analysis by Wang Xin].
  * Fixed simple-proxy to not crash at startup. Oops. (Alex
  Larsson)
- changes from 2.2.91 to 2.2.92
  * Fixed server-side digest auth to return a valid "algorithm"
  value and client-side to not crash if it sees an invalid one
  [328615].
  * Fixed the Request-Line parsing code to not hardcode a
  maximum URI length (to allow very long DAAP requests from
  iTunes in Rhythmbox). [335040]
- changes from 2.2.90 to 2.2.91
  * SoupSession, SoupServer, SoupConnection, SoupSocket, and
  SoupAddress now have an "async-context" property that allows
  you to use the async API in a non-default GMainContext.
  [Based on patches from Armin Bauer and Jörg Billeter.]
  * Fixed some bugs in soup_date_iso8601_parse(). [324671, from
  Emmanuele Bassi]
* Mon Feb 27 2006 - danw@suse.de
- Add a patch from CVS for use by evolution
  (make connection timeout configurable)
* Tue Feb 21 2006 - sbrabec@suse.cz
- Do not require exact release in devel file.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 17 2005 - danw@suse.de
- update to 2.2.90, which includes the opensync patches
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Mon Aug 22 2005 - jpr@suse.de
- Update to released 2.2.6.1 which includes the cvs patches we were already
  folding in plus the second part of the fix for 104319
* Thu Aug 18 2005 - ro@suse.de
- update to cvs version folding in other patches
* Thu Aug 18 2005 - ro@suse.de
- added libsoup-2.2.3-danw-tambet-threading.patch
* Mon Aug 15 2005 - ro@suse.de
- fixed memory leak (port of patch from #95454)
* Fri Aug 12 2005 - ro@suse.de
- updated and re-enabled patches...
* Fri Aug 12 2005 - jpr@suse.de
- Add lzo and lzo-devel to neededforbuild to get ssl support back (104319)
* Fri Aug 12 2005 - gekker@suse.de
- Update to version 2.2.5
* Wed Jun 29 2005 - gekker@suse.de
- Update to version 2.2.3
* Tue Jun 28 2005 - gekker@suse.de
- Add patch for close exec (62176).
* Thu Mar 10 2005 - hvogel@suse.de
- More gnutls patching. Fixed CPU sucking bug #57811 (ximian)
* Sat Feb 05 2005 - gekker@suse.de
- Update to version 2.2.2
* Fri Jan 28 2005 - meissner@suse.de
- Added sentinels to spot bad valist handling, no-strict-aliasing
  is not needed here.
* Sat Jan 22 2005 - ro@suse.de
- GNUTLS_CERT_NOT_TRUSTED is no longer present in current gnutls
* Mon Nov 29 2004 - gekker@suse.de
- Update to version 2.2.1
* Wed Oct 20 2004 - dobey@suse.de
- Add patch for bugzilla.ximian.com bug #68583
* Fri Aug 27 2004 - dobey@suse.de
- Update to version 2.2.0
* Fri Aug 13 2004 - dobey@suse.de
- Update to version 2.1.13
- Require glib2-devel for the libsoup-devel package
* Thu Aug 05 2004 - dobey@suse.de
-  Add proper dependencies to the devel package
* Thu Aug 05 2004 - dobey@suse.de
-  Fix support for SSL
* Wed Jul 28 2004 - dobey@suse.de
-  Updated to version 2.1.12
* Fri Jun 04 2004 - mibarra@suse.de
-  Updated to version 2.1.11
* Sat May 22 2004 - mibarra@suse.de
- Updated to version 2.1.10.
* Tue May 18 2004 - clahey@suse.de
- Updated to version 2.1.9.
* Mon Mar 22 2004 - hhetter@suse.de
- updated to version 1.99.28
* Tue Mar 16 2004 - meissner@suse.de
- -fno-strict-aliasing.
* Fri Aug 08 2003 - sbrabec@suse.cz
- Updated to version 1.99.23.
* Tue Aug 05 2003 - sbrabec@suse.cz
- Package renamed to libsoup.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu May 22 2003 - sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
